## org.mortbay.util
Class IO

    java.lang.Object
      |
      +--org.mortbay.util.ThreadPool
            |
            +--org.mortbay.util.IO

All Implemented Interfaces:
  LifeCycle, java.io.Serializable

public class IO
extends ThreadPool

IO Utilities. Provides stream handling utilities in singleton Threadpool implementation accessed by static members.

See Also:
  Serialized Form

Nested Class Summary

Nested classes inherited from class org.mortbay.util.ThreadPool
`ThreadPool.PoolThread`

Field Summary
`static int` `bufferSize`
`static java.lang.String` `CRLF`
`static byte[]` `CRLF_BYTES`

Fields inherited from class org.mortbay.util.ThreadPool
`__DAEMON, __PRIORITY`

Constructor Summary
`IO()`

Method Summary
`static void` `copy(java.io.InputStream in, java.io.OutputStream out)` Copy Stream in to Stream out until EOF or exception.
`static void` `copy(java.io.InputStream in, java.io.OutputStream out, long byteCount)` Copy Stream in to Stream for byteCount bytes or until EOF or exception.
`static void` `copy(java.io.Reader in, java.io.Writer out)` Copy Reader to Writer out until EOF or exception.
`static void` `copy(java.io.Reader in, java.io.Writer out, long byteCount)` Copy Reader to Writer for byteCount bytes or until EOF or exception.
`static void` `copyThread(java.io.InputStream in, java.io.OutputStream out)` Copy Stream in to Stream out until EOF or exception.
`static void` `copyThread(java.io.Reader in, java.io.Writer out)` Copy Stream in to Stream out until EOF or exception in own thread
`static boolean` `delete(java.io.File file)` Delete File.
`static java.io.OutputStream` `getNullStream()`
`static java.io.Writer` `getNullWriter()`
`void` `handle(java.lang.Object o)` Run copy for copyThread()
`static IO` `instance()`
`static java.lang.String` `toString(java.io.InputStream in)` Read input stream to string.

Methods inherited from class org.mortbay.util.ThreadPool
`getIdleThreads, getMaxIdleTimeMs, getMaxThreads, getMinThreads, getName, getPoolName, getThreads, getThreadsPriority, isDaemon, isStarted, join, run, setDaemon, setMaxIdleTimeMs, setMaxStopTimeMs, setMaxThreads, setMinThreads, setName, setPoolName, setThreadsPriority, shrink, start, stop`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### CRLF

    public static final java.lang.String CRLF

See Also:
  Constant Field Values

### CRLF_BYTES

    public static final byte[] CRLF_BYTES

### bufferSize

    public static int bufferSize

Constructor Detail

### IO

    public IO()

Method Detail

### instance

    public static IO instance()

### copyThread

    public static void copyThread(java.io.InputStream in,
                                  java.io.OutputStream out)

  Copy Stream in to Stream out until EOF or exception. in own thread

### copy

    public static void copy(java.io.InputStream in,
                            java.io.OutputStream out)
                     throws java.io.IOException

  Copy Stream in to Stream out until EOF or exception.

    `java.io.IOException`

### copyThread

    public static void copyThread(java.io.Reader in,
                                  java.io.Writer out)

  Copy Stream in to Stream out until EOF or exception in own thread

### copy

    public static void copy(java.io.Reader in,
                            java.io.Writer out)
                     throws java.io.IOException

  Copy Reader to Writer out until EOF or exception.

    `java.io.IOException`

### copy

    public static void copy(java.io.InputStream in,
                            java.io.OutputStream out,
                            long byteCount)
                     throws java.io.IOException

  Copy Stream in to Stream for byteCount bytes or until EOF or exception.

    `java.io.IOException`

### copy

    public static void copy(java.io.Reader in,
                            java.io.Writer out,
                            long byteCount)
                     throws java.io.IOException

  Copy Reader to Writer for byteCount bytes or until EOF or exception.

    `java.io.IOException`

### toString

    public static java.lang.String toString(java.io.InputStream in)
                                     throws java.io.IOException

  Read input stream to string.

    `java.io.IOException`

### delete

    public static boolean delete(java.io.File file)

  Delete File. This delete will recursively delete directories - BE CAREFULL

  Parameters:
    `file` - The file to be deleted.

### handle

    public void handle(java.lang.Object o)

  Run copy for copyThread()

  Overrides:
    `handle` in class `ThreadPool`

### getNullStream

    public static java.io.OutputStream getNullStream()

  Returns:
    An outputstream to nowhere

### getNullWriter

    public static java.io.Writer getNullWriter()

  Returns:
    An writer to nowhere

Copyright © 2000 Mortbay Consulting Pty. Ltd. All Rights Reserved.